Skip to main content
GET
/
ap-readiness
/
goals
List active AP readiness goals for a subject
curl --request GET \
  --url https://api.alpha-1edtech.ai/ap-readiness/goals \
  --header 'Authorization: Bearer <token>'
{
  "goals": [
    {
      "sourcedId": "<string>",
      "dateLastModified": "<string>",
      "studentSourcedId": "<string>",
      "goalType": "<string>",
      "targetValue": "<string>",
      "targetMetric": "<string>",
      "paceType": "<string>",
      "startDate": "<string>",
      "endDate": "<string>",
      "goalCreatedAt": "<string>",
      "courseIds": [
        "<string>"
      ],
      "metadata": {
        "practice_test_course_ids": [
          "<string>"
        ]
      },
      "curriculumCourseIds": [
        "<string>"
      ]
    }
  ],
  "totalCount": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

subject
enum<string>
required

AP exam name to filter dashboard by

Available options:
AP Biology,
AP Calculus AB,
AP Calculus BC,
AP Chemistry,
AP Computer Science A,
AP Computer Science Principles,
AP English Language and Composition,
AP English Literature and Composition,
AP Environmental Science,
AP Human Geography,
AP Microeconomics,
AP Music Theory,
AP Physics 1: Algebra-Based,
AP Physics 2: Algebra-Based,
AP Psychology,
AP Statistics,
AP US History,
AP United States Government and Politics,
AP World History: Modern

Response

AP readiness goals returned

goals
object[]
required
totalCount
integer
required

Total number of matching AP goals

Required range: x >= 0